<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class SmsService extends Model
{
    use HasFactory;
    protected $fillable = [
        'id',
        'company_name',
        'status',
        'script',
    ];
    public function activate()
    {
        self::where('status', 1)->update(['status' => 0]);
        $this->status = 1;
        $this->save();
    }
}
